package com.fs.his.service.impl;

import java.util.List;

import com.fs.his.vo.OptionsVO;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.fs.his.mapper.FsDoctorArticleCateMapper;
import com.fs.his.domain.FsDoctorArticleCate;
import com.fs.his.service.IFsDoctorArticleCateService;

/**
 * 医生文章分类Service业务层处理
 *
 * @author fs
 * @date 2024-05-08
 */
@Service
public class FsDoctorArticleCateServiceImpl implements IFsDoctorArticleCateService
{
    @Autowired
    private FsDoctorArticleCateMapper fsDoctorArticleCateMapper;

    /**
     * 查询医生文章分类
     *
     * @param cateId 医生文章分类主键
     * @return 医生文章分类
     */
    @Override
    public FsDoctorArticleCate selectFsDoctorArticleCateByCateId(Long cateId)
    {
        return fsDoctorArticleCateMapper.selectFsDoctorArticleCateByCateId(cateId);
    }

    /**
     * 查询医生文章分类列表
     *
     * @param fsDoctorArticleCate 医生文章分类
     * @return 医生文章分类
     */
    @Override
    public List<FsDoctorArticleCate> selectFsDoctorArticleCateList(FsDoctorArticleCate fsDoctorArticleCate)
    {
        return fsDoctorArticleCateMapper.selectFsDoctorArticleCateList(fsDoctorArticleCate);
    }

    /**
     * 新增医生文章分类
     *
     * @param fsDoctorArticleCate 医生文章分类
     * @return 结果
     */
    @Override
    public int insertFsDoctorArticleCate(FsDoctorArticleCate fsDoctorArticleCate)
    {
        return fsDoctorArticleCateMapper.insertFsDoctorArticleCate(fsDoctorArticleCate);
    }

    /**
     * 修改医生文章分类
     *
     * @param fsDoctorArticleCate 医生文章分类
     * @return 结果
     */
    @Override
    public int updateFsDoctorArticleCate(FsDoctorArticleCate fsDoctorArticleCate)
    {
        return fsDoctorArticleCateMapper.updateFsDoctorArticleCate(fsDoctorArticleCate);
    }

    /**
     * 批量删除医生文章分类
     *
     * @param cateIds 需要删除的医生文章分类主键
     * @return 结果
     */
    @Override
    public int deleteFsDoctorArticleCateByCateIds(Long[] cateIds)
    {
        return fsDoctorArticleCateMapper.deleteFsDoctorArticleCateByCateIds(cateIds);
    }

    /**
     * 删除医生文章分类信息
     *
     * @param cateId 医生文章分类主键
     * @return 结果
     */
    @Override
    public int deleteFsDoctorArticleCateByCateId(Long cateId)
    {
        return fsDoctorArticleCateMapper.deleteFsDoctorArticleCateByCateId(cateId);
    }

    @Override
    public List<OptionsVO> selectFsArticleCateAllList() {
        return fsDoctorArticleCateMapper.selectFsArticleCateAllList();
    }
}
